jersey
  1. jersey
  2. JERSEY-1979

Use Jersey in Eclipse plugin (license)

    Details

    • Type: Task Task
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.16
    • Fix Version/s: 2.2
    • Component/s: core
    • Labels:
      None
    • Environment:

      Eclipse, cross platform

      Description

      Hi all,

      I'm a member of a new community which are developing a GPLv3 tool. We decided to use Jersey (currently version 1.16) in our tool and it works well (thank you!!).
      About the license point of view, we don't have any problem server site, because our solution is GPL3.

      We have also developed a Eclipse plugin and we would like to use Jersey (client side) inside the plugin.

      Unfortunately GPL (Jersey license) is not compatible with EPL. So may I ask you :
      1) can we use Jersey in CDDL license in a Eclipse plugin?
      2) If yes, can we use Apache 2.0 license for our plugin or EPL is necessary?
      3) If no, can you allow us to use and distribute Jersey in our plugin?

      Of course, if we can't use Jersey, we'll rewrite our code with another Restful framework.

      Thanks a lot!
      CIAO

        Activity

        Hide
        Pepstock added a comment -

        Hi all again,

        just adding more info. Reading EPL license I found at this link (http://www.eclipse.org/legal/eplfaq.php):

        The current list of licenses approved for use by third-party code redistributed by Eclipse projects is:

        • Apache Software License 1.1
        • Apache Software License 2.0
        • W3C Software License
        • Common Public License Version 1.0
        • IBM Public License 1.0
        • Mozilla Public License Version 1.1
        • Common Development and Distribution License (CDDL) Version 1.0
        • GNU Free Documentation License Version 1.3
        • BSD
        • MIT

        I just ask you (for confirmation) if I can release the plugin under EPL.

        Thanks a lot again

        CIAO

        Show
        Pepstock added a comment - Hi all again, just adding more info. Reading EPL license I found at this link ( http://www.eclipse.org/legal/eplfaq.php): The current list of licenses approved for use by third-party code redistributed by Eclipse projects is: Apache Software License 1.1 Apache Software License 2.0 W3C Software License Common Public License Version 1.0 IBM Public License 1.0 Mozilla Public License Version 1.1 Common Development and Distribution License (CDDL) Version 1.0 GNU Free Documentation License Version 1.3 BSD MIT I just ask you (for confirmation) if I can release the plugin under EPL. Thanks a lot again CIAO
        Hide
        Marek Potociar added a comment -

        In general, Jersey code can be used with either GPLv2+CPE or CDDL. It's your choice.

        I do not know the Eclipse licensing requirements and I am not a lawyer. You need to either find those details yourself or ask your lawyers for a consultation.

        Show
        Marek Potociar added a comment - In general, Jersey code can be used with either GPLv2+CPE or CDDL. It's your choice. I do not know the Eclipse licensing requirements and I am not a lawyer. You need to either find those details yourself or ask your lawyers for a consultation.

          People

          • Assignee:
            Marek Potociar
            Reporter:
            Pepstock
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: